Checks if the user is able to update a project.
curl --request GET \
--url {schemes}://api.upsun.com/subscriptions/{subscriptionId}/can-update \
--header 'Authorization: Bearer <token>'import requests
url = "{schemes}://api.upsun.com/subscriptions/{subscriptionId}/can-update"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('{schemes}://api.upsun.com/subscriptions/{subscriptionId}/can-update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"can_update": true,
"message": "<string>",
"required_action": {}
}Subscriptions
Checks if the user is able to update a project.
GET
/
subscriptions
/
{subscriptionId}
/
can-update
Checks if the user is able to update a project.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the subscription
Query Parameters
The plan type of the subscription.
Available options:
development, standard, medium, large, xlarge, 2xlarge The number of environments which can be provisioned on the project.
The total storage available to each environment, in MiB. Only multiples of 1024 are accepted as legal values.
The number of user licenses.
Last modified on September 25, 2026
Was this page helpful?